#ifndef CE3_H
#define	CE3_H 1
// CE 3.0 functions not defined in CE 3.0 RTL but are defined in crtapi.c

typedef unsigned short 	_ino_t;
typedef unsigned int	_dev_t; 
typedef long			_off_t;
static long _timezone;

#define _S_IFMT		0170000         /* file type mask */
#define _S_IFDIR	0040000         /* directory */
#define _S_IFCHR	0020000         /* character special */
#define _S_IFIFO	0010000         /* pipe */
#define _S_IFREG	0100000         /* regular */
#define _S_IREAD	0000400         /* read permission, owner */
#define _S_IWRITE	0000200         /* write permission, owner */
#define _S_IEXEC	0000100         /* execute/search permission, owner */

#define S_IFMT		_S_IFMT
#define S_IFDIR		_S_IFDIR
#define S_IFCHR		_S_IFCHR
#define S_IFREG		_S_IFREG
#define S_IREAD		_S_IREAD
#define S_IWRITE	_S_IWRITE
#define S_IEXEC		_S_IEXEC


struct stat {
	_dev_t st_dev;
	_ino_t st_ino;
	unsigned short st_mode;
	short st_nlink;
	short st_uid;
	short st_gid;
	_dev_t st_rdev;
	_off_t st_size;
	time_t st_atime;
	time_t st_mtime;
	time_t st_ctime;
	};

struct tm 
{   int tm_sec;
    int tm_min;
    int tm_hour;
    int tm_mday;
    int tm_mon;
    int tm_year;
    int tm_wday;
    int tm_yday;
    int tm_isdst;
};

int stat(const char *, struct stat *);
int unlink(const char *);

void abort(void);
#define isatty(f) 0
#define getenv(v) NULL

#define	rewind(f)	fseek(f,0,SEEK_SET)

/* Regardless of where fopen/fclose come from, we
   export them as public symbols from Python
*/
DL_IMPORT(FILE *) Py_fopen(const char *path, const char *mode);
DL_IMPORT(int) Py_fclose(FILE *f);

void assert(int x);



#endif

